Subject: Bug#1357: [X2Go-Dev] Bug#1357: pyhoca 0.6.0.1 incompatible with x2goserver 4.1.0.3

From: Chris Greenshields <[email-masked]>
Date: Wed, 9 Jan 2019 21:19:24 +0000

Hi Mike,

I checked the sources from the x2goserver and pyhoca-cli packages from
the ubuntu and ppa:x2go/stable repositories.

The incompatible combination is
+ pyhoca-cli 0.6.0.1, which includes the patch you mentioned, despite
the fact that the patch appears to be introduced in code marked
0.6.0.2;
+ and, x2goserver 4.1.0.3, which does not include the patch you mentioned.

Older versions of both packages I tested, x2goserver 4.1.0.0 and
pyhoca-cli 0.5.0.4, do not include the patches you mentioned, and they
are compatible.

I hope this helps.

Thanks,

Chris

> [1  <text/plain; utf-8 (quoted-printable)>]
> Control: tags -1 moreinfo

> Hi,

> On  Sa 05 Jan 2019 14:44:00 CET, Chris Greenshields wrote:

>> Package: Pyhoca
>> Version: 0.6.0.1
>> 
>> I tested all combinations of the following recent releases of the
>> following software from the ppa:x2go/stable and ubuntu repositories:
>> + x2goserver
>> + 4.1.0.0-3 (ubuntu)
>> + 4.1.0.3-0~1708~ubuntu18.04.1 (ppa:x2go/stable)
>> + x2goclient
>> + 4.1.1.1-2 (ubuntu)
>> + 4.1.2.1-0~1788~ubuntu18.04.1 (ppa:x2go/stable)
>> + pyhoca-cli
>> + 0.5.0.4-1 (ubuntu)
>> + 0.6.0.1 (ppa:x2go/stable)
>> 
>> There is one combination that did not work:
>> x2goserver 4.1.0.3-0~1708~ubuntu18.04.1 (ppa:x2go/stable) with
>> pyhoca-cli 0.6.0.1 (ppa:x2go/stable)
>> 
>> It failed with the following message, which I assume is a bug:
>> "
>> a bytes-like object is required, not 'str'
>> pyhoca-cli: error: the remote server does not have the X2Go Server
>> software installed
>> "

> There were to commits in the near past that might be related to the
> newly introduced checking of X2Go Server being installed on the remote
> host:

> X2Go Server:
> https://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=c80103788eebe0445efc2cefb56b074231b76f39

> Python X2Go:
> https://code.x2go.org/gitweb?p=python-x2go.git;a=commitdiff;h=d383eb79567677a5be1756ec0fd991f8d82e7a2f

> Can you verify that you have both patches in your x2goserver /
> python3-x2go packages?

> Thanks,
> Mike
> -- 

> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> mobile: +49 (1520) 1976 148
> landline: +49 (4354) 8390 139

> GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
> mail: [email-masked], http://das-netzwerkteam.de

> [2 Digitale PGP-Signatur <application/pgp-signature (7bit)>]
> No public key for 9AF46B3025771B31 created at 2019-01-06T16:07:07+0000 using RSA